Skip to main content
GET
Get person membership details

Yetkilendirmeler

Authorization
string
header
gerekli

Short-lived bearer access token issued for a Living Security API access key. Send as Authorization: Bearer .

Başlıklar

x-organization-id
string<uuid>
gerekli

Organization context for multi-tenant operations

Yol Parametreleri

personId
string
gerekli

Yanıt

Membership details found successfully

id
string
gerekli

Unique membership identifier

Örnek:

"550e8400-e29b-41d4-a716-446655440000"

personId
string
gerekli

Person ID associated with this membership

Örnek:

"user-550e8400-e29b-41d4-a716-446655440000"

organizationId
string
gerekli

Organization ID for this membership

Örnek:

"550e8400-e29b-41d4-a716-446655440000"

active
boolean
gerekli

Whether the membership is currently active

Örnek:

true

profile
object
gerekli

Person profile data (name, email, etc.)

createdAt
string<date-time>
gerekli

Membership creation timestamp

Örnek:

"2025-10-01T00:00:00.000Z"

updatedAt
string<date-time>
gerekli

Membership last update timestamp

Örnek:

"2025-10-01T12:00:00.000Z"

importSource
enum<string> | null

How the user was provisioned (SCIM, CSV, or MANUAL)

Mevcut seçenekler:
SCIM,
CSV,
MANUAL
Örnek:

"SCIM"

accessGrantType
enum<string> | null

How access was granted (DIRECT, PARENT_ORG, or PLATFORM)

Mevcut seçenekler:
DIRECT,
PARENT_ORG,
PLATFORM
Örnek:

"DIRECT"

stickyAttributes
object

Sticky attributes (overrides, local attributes, sync status)

role
string | null

Primary role identifier. Can be a system role type (OWNER, ADMIN, MEMBER), catalog role ID, or custom role ID based on precedence (system > catalog > custom)

Örnek:

"OWNER"

roleDisplayName
string | null

Human-friendly role display name

Örnek:

"Owner"

roleIds
string[] | null

Array of ALL role identifiers assigned to this member. Includes system role types (OWNER, ADMIN, etc.), catalog role IDs, and custom role IDs.

Örnek: